/hardware/gateways

Fetch all gateways. Response conforms to the JSON API spec https://jsonapi.org/.Responses are limited to 1,000 gateway after which pagination will take place.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response

FieldDescriptionData Type
dataArray of hardware gateway models.Array of Hardware Gateway Models (see below)
includedIncluded relationships.Building
Floor
linksPagination links.Links

Hardware Gateway Model

FieldDescriptionData Type
idUnique identifier for the VergeSense hardware gateway. Ex: C0300A1234-01234String
typegatewayString
attributes.modelVergeSense hardware model. Ex: rigadoString
attributes.firmwareFirmware version of the gateway (if available).String
attributes.coordinatesThe latitude and longitude of the gateway location, if it exists. If it does not exist, this value will be null. This is an example of the result
"coordinates": {  
  "lat": 11.1111,  
  "lng": 22.2222  
}
Object
attributes.mac_addressMAC address of the gateway.String
attributes.network.statusCurrent network status of the gateway. Can be one of the following:
offline - the gateway has not sent a report in over an hour
online - the gateway has sent a report in the last hour
String
relationships.buildingThe building that the gateway is located within. Building details included in the included top level response key.Object
relationships.floorThe floor that the gateway is installed on. Floor details included in the included top level response key.Object
Query Params
int32
Defaults to 1

Requested page number. Only used when pagination is applicable.

int32

Filter gateways based on the associated unique building_id.

string

Filter gateways based on the associated building_ref_id.

Headers
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json